Subject: Re: Bugs etc, and some display questions
From: Acid Software <[email-masked]>
To: Martin Kift <[email-masked]>
Cc: [email-masked]
Date: Wed, 20 Jul 1994 01:21:50 +1200 (NZST)

On Tue, 19 Jul 1994, Martin Kift wrote:

> > oh god here we go again, another bloody rom, is that the one in CD32, we 
> > have had no problems with cd32 ports of Blitz games so far, perhaps 
> > bigger vwaits between closing files and entering Blitz mode is required?
> 
> No, I don't think the CD32 has 3.1 (I think it has 3.0 with cd 
> extensions). Only the a4000T has 3.1, although kick3.1/wb3.1 has just 
> been released, which is why I'm getting these reports. Bloody 
> annoying I know, in a way, the amiga is getting almost as bad as the 
> pc in terms of compatibilty.

Hmmm, ever tried adding sound effects (soundblaster etc.) to a PC game?? 
Still got a bit to go there

> 
> > > 2. I cannot find away to force open a pal screen screen when using 
> > > slices, which is important when running on an ntsc system. Eventually 
> > > I'd like to open a proper ntsc screen and support it properly, but in 
> > > the meantime, I'd like to open a pal screen.
> > 
> > This is very tricky if you want to support workbench startup ie 1942 
> > style monitors and take over the system type startups, the switch lib 
> > looks at a location in graphics library to work out NTSC/PAL and hits 
> > slices accordingly, can you not start your program by using an 
> > openscreentags with some sort of pal config, hmm probably not, tell you 
> > what I'll go and fix this problem instead of waffling on...
> 
> Currently, I'm only interested in opening pal or ntsc low res (15khz) 
> screens for my game. As I said, I would love a way of specifying PAL 
> screens in the slice command, although this would only work on all 
> machines if a PAL screen is possible (some old NTSC machines don't 
> support this, but I'm not too bothered with that).
> 
> Actually, I intend to switch over to using the Display library 
> (especially since I hear you used it for SkidMarks), since I remember 
> reading that it supports aga and ecs. Will it will possible to 
> specify PAL screens in the new display library too, that would be 
> excellent!
>
Done, I will add PAL/NTSC flag to display library, bugger pissing around 
with Mark's slice library, gone gone gone
 
> > At present you have to change them in the palette using agapalrgb and 
> > then do a DisplayPalette
> 
> Okay, although is it true that you can only use agapalrgb in amiga 
> mode. I assume palrgb will also work fine. Any chance of a display
> rgb command in future?

What? I don't understand why people think you can't use most of the Blitz 
commands in both Blitz and Amiga mode, I mean some think you can't use 
Blitz in Amiga mode, grrr, as for changing colours in copperlists, this 
is darn tricky, due to commodores crap AGA circuitry to change 1 colour 
in 24 bit takes 4 moves so the display library does colour in chunks of 
32, I wanted to keep palette handling simple but jeeze, the hardware does 
oh so make it difficult old boy.. (sorry just read Liar by Stephen Fry)

> 
> > No, coplists do not take up very much memory at all. the great thing 
> > about having them all allocated at the top of your program is that memory 
> > is not fragmented, in skid for example we had all sorts of bitmaps 
> > openning and closing, if you go and allocate a small piece of memory 
> > anywhere between these calls you suddenly find you have not got enough 
> > continuous memory for the big bitmap... hmmm, again sorry about the waffle...
> 
> Ah excellent! And you can waffle all you like, I'm finding it very 
> interesting 8), since the display docs are somewhat brief at the 
> moment.
> 
> Just one more question, if switching displays, say moving from a 
> display based on coplists 0 and 1, to a display based on 2 and 3 (or 
> whatever), do I just call CreateDisplay over and over again when 
> switching. i.e. is there no need to close down the previous display 
> before creating a new one? (I assume not).
>
yes this is completely and utterly correct
 
> > > P.S. Any release dates available for BUM7? Any chances of fixes for 
> > > the debugger (have you considered the possiblity of remote debugging, 
> > > that would be beautiful!!), the sound/caches problem. Thanks.
> > I'm aiming at Saturday
> 
> Great. 8) Any ideas on the UK release date (we tend to lag behind 
> sometimes)

Hmm, UK should be swift this time, the French man is in India finding his 
true self and the boys at Doncaster seem to be relatively organised, part 
time Blitz User running support office will hopefully be in place within 
next 3 weeks